cURL
curl --request GET \
--url https://api.opus.pro/api/collections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.opus.pro/api/collections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opus.pro/api/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"list": [
{
"collectionId": "xmAwhhFi0IJt",
"collectionName": "Opus demo clips",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"next": "<string>",
"limit": 123
}
}{
"errorName": "Bad Request",
"errorMessage": "<string>"
}Collections
Get Collections
You can get all the collections you have created by making a GET request to https://api.opus.pro/api/collections.
GET
/
api
/
collections
cURL
Related Schemas
Collection Schema
Reference the collection object included in the list response.
Get Collections Response
View the full response schema for listing collections.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Query type
q = mine means list collections of your account.
q = findByContentId means list collections contained the specific content(clip).
Available options:
findByContentId, mine Example:
"mine"
If specified, will only return collections that contain the clip with this contentID.
Example:
"P0000000demo.CUexample2"
Response
Show child attributes
Show child attributes
Was this page helpful?